/*jslint laxbreak:true */
/*jslint laxcomma:true */
/*jslint loopfunc:true */
/*jslint strict:true */
/*jslint browser:true */
/*jslint devel:true */

define([
	"underscore"
	, "jquery"
	, "backbone"

	, "views/browser"
	, "views/list"

	, "text!../../templates/client/browser-layout.html"

	, "jquery-layout"
]
, function (
_
, $
, Backbone

, BrowserView
, ListView

, tmplBrowserLayout
) {
	"use strict";

	var Browser	= Backbone.View.extend({
		client:		null

		, layout:		null

		, browserView:	null

		, listView:		null

		, initialize:	function (client) {
			var that	= this
			;

			Browser.__super__.initialize.apply(that);

			that.client	= client;
		}
	});

	return Browser;
});